//////////////////////////////////////////////////////////////////////////////////////////////////
// harddef.h - definicja sprztu dla programu PCF8591, pytka AVT3500
// 
// Autor: Radosaw Koppel          Kompilator: WinAVR 20050214
//////////////////////////////////////////////////////////////////////////////////////////////////
#ifndef HARDDEF_H_INCLUDED
#define HARDDEF_H_INCLUDED

// Interfejs I2C
#define I2C_SDAPORT D
#define I2C_SDA 6
#define I2C_SCLPORT D
#define I2C_SCL 5
#define I2C_SPEED 100000

// Definicje wyprowadze wywietlacza
#define LCD_RS 2
#define LCD_RSPORT B
#define LCD_E 1
#define LCD_EPORT B
// Port danych: zakadam, e wyprowadzenia s poczone kolejno. 
// Definiowane jest jedynie przesunicie oznaczajce na ktrym wyprowadzeniu jest D4
#define LCD_DPORT B
#define LCD_D4 4 // D5, D6, D7 - poczone kolejno

#endif //HARDDEF_H_INCLUDED
